> ## Documentation Index
> Fetch the complete documentation index at: https://pleo-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a new tag group dimension



## OpenAPI

````yaml post /v0/tag-groups/{groupId}/dimensions
openapi: 3.0.1
info:
  title: Tags API
  description: Tags OpenAPI definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: team-expense-core@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 31.38.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
paths:
  /v0/tag-groups/{groupId}/dimensions:
    post:
      tags:
        - tag-groups
      summary: Creates a new tag group dimension
      operationId: createTagGroupDimension
      parameters:
        - name: groupId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
            description: Unique identifier of the Tag Group this dimension belongs to
            format: uuid
      requestBody:
        content:
          application/json;charset=UTF-8:
            schema:
              $ref: '#/components/schemas/TagGroupDimensionCreateModel'
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/DataResponseTagGroupDimensionModel'
components:
  schemas:
    TagGroupDimensionCreateModel:
      required:
        - code
        - displayOrder
        - name
        - visible
      type: object
      properties:
        code:
          type: string
          description: >-
            External identifier of the Tag group Dimension used for mapping to
            accounting system
          example: 5524f270-6c21-11ee-b962-0242ac120002
        displayOrder:
          type: integer
          description: >-
            Determines the order in which the dimensions are displayed in the
            UI. Starts from 1
          format: int32
          example: 1
        name:
          type: string
          description: User readable name of Tag Group Dimension
          example: Project
        visible:
          type: boolean
          description: Determines if this dimension is displayed in the UI
          example: false
    DataResponseTagGroupDimensionModel:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/TagGroupDimensionModel'
    TagGroupDimensionModel:
      required:
        - code
        - createdAt
        - displayOrder
        - groupId
        - id
        - name
        - updatedAt
        - visible
      type: object
      properties:
        code:
          type: string
          description: >-
            External identifier of the Tag group Dimension used for mapping to
            accounting system
          example: 5524f270-6c21-11ee-b962-0242ac120002
        createdAt:
          type: string
          description: Creation date and time
          format: date-time
          example: '2023-08-23T03:11:48.000Z'
        displayOrder:
          type: integer
          description: >-
            Determines the order in which the dimensions are displayed in the
            UI. Starts from 1
          format: int32
          example: 1
        groupId:
          type: string
          description: Unique identifier of the Tag Group this dimension belongs to
          format: uuid
          example: c04c7e9e-6c15-11ee-b962-0242ac120003
        id:
          type: string
          description: Unique identifier of Tag Group Dimension (generated on creation)
          format: uuid
          example: c04c7e9e-6c15-11ee-b962-0242ac120002
        name:
          type: string
          description: User readable name of Tag Group Dimension
          example: Project
        updatedAt:
          type: string
          description: Date and time of the last update
          format: date-time
          example: '2023-08-23T03:11:48.000Z'
        visible:
          type: boolean
          description: Determines if this dimension is displayed in the UI
          example: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.